<script setup>
 
 import { onMounted, ref  } from 'vue'
 import { useRouter  } from 'vue-router'

 const router = useRouter()
 const user = ref()
 const userRole = ref()

 function loggout(){
    localStorage.clear();
    router.push('/login')
 }

 onMounted(()=>{
    user.value = localStorage.getItem("username")
    userRole.value = localStorage.getItem("role")
 })

</script>
<template>
    <nav class="bg-gray-800">
        <div class="mx-auto px-2 sm:px-6 lg:px-8">
        <div class="py-4">
            
            <div class="flex flex-1 items-center justify-between">
            
                <div class="hidden sm:ml-6 sm:block">
                    <div class="flex space-x-4">
                    
                    <RouterLink :to="'/'+ user" :exact-active-class="'bg-gray-900 text-white rounded-md px-3 py-2 text-sm font-medium'" class="text-gray-300 hover:bg-gray-700 hover:text-white rounded-md px-3 py-2 text-sm font-medium">Home</RouterLink>
                    <RouterLink v-if="userRole==='trainer'" :to="'/'+ user + '/lections'" :exact-active-class="'bg-gray-900 text-white rounded-md px-3 py-2 text-sm font-medium'" class="text-gray-300 hover:bg-gray-700 hover:text-white rounded-md px-3 py-2 text-sm font-medium">Lections</RouterLink>
                   
                    </div>
                </div>
                <div>
                    <button @click="loggout()" type="button" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">Logout</button>
                </div>
                
            </div>
        </div>
        </div>    
    </nav>
  </template>